@import '/css/form/form.css';
@import '/css/ui/input/input.css';
@import '/css/ui/select/select.css';
@import '/css/ui/checkbox/checkbox.css';
@import '/css/modal/modal.css';
@import '/css/main.css';

.calc-server-solutions__content-wrap {
  position: relative;
}

.calc-server-solutions__form {
  display: grid;
  grid-template-columns: 100%;
}

.calc-server-solutions__form,
.calc-server-solutions__form p,
.calc-server-solutions__title,
.calc-server-solutions__result-title,
.calc-server-solutions__subtitle,
.calc-server-solutions-modal-registration__title,
.calc-server-solutions-modal-registration__form,
.calc-server-solutions-modal-authorization__title,
.calc-server-solutions-modal-registration__success-info {
  margin-bottom: 0;
}

.calc-server-solutions__title,
.calc-server-solutions__result-title,
.calc-server-solutions__subtitle,
.calc-server-solutions__result-description,
.calc-server-solutions__result-item-wrap,
.calc-server-solutions-modal-registration__title,
.calc-server-solutions-modal-authorization__title,
.calc-server-solutions-modal-registration__success-info {
  font-family: 'Roboto';
  line-height: normal;
}

.calc-server-solutions__title,
.calc-server-solutions__result-title,
.calc-server-solutions-modal-registration__title {
  font-size: 20px;
  font-weight: 600;
}

.calc-server-solutions__subtitle {
  font-size: 16px;
  font-weight: 700;
}

.calc-server-solutions__content-wrap,
.calc-server-solutions__form-left-column,
.calc-server-solutions__calc-block,
.calc-server-solutions__server-inputs-wrap,
.calc-server-solutions__form-right-column,
.calc-server-solutions__result-box,
.calc-server-solutions__buttons-wrap,
.calc-server-solutions-modal-registration__form,
.calc-server-solutions-modal-registration__form-inputs-container,
.calc-server-solutions-modal-authorization__container,
.calc-server-solutions-modal-registration__container,
.calc-server-solutions-modal-registration__success,
.calc-server-solutions-modal-registration__success-info {
  display: flex;
  flex-direction: column;
}

.calc-server-solutions__content-wrap,
.calc-server-solutions__form,
.calc-server-solutions__form-left-column,
.calc-server-solutions__form-right-column,
.calc-server-solutions-modal-registration__form,
.calc-server-solutions-modal-authorization__container,
.calc-server-solutions-modal-registration__container,
.calc-server-solutions-modal-registration__success {
  gap: var(--Gap-GapM16, 16px);
}

.calc-server-solutions__form-right-column {
  padding: var(--Gap-GapM24, 24px);
  background-color: var(--Basic-Surface-Secondary, #efeff1);
}

.calc-server-solutions__calc-block,
.calc-server-solutions__buttons-wrap,
.calc-server-solutions-modal-registration__form-inputs-container {
  gap: var(--Gap-GapM12, 12px);
}

.calc-server-solutions__server-inputs-wrap {
  gap: 15px;
}

.calc-server-solutions__result-description,
.calc-server-solutions__result-item-wrap,
.calc-server-solutions-modal-authorization__title,
.calc-server-solutions-modal-registration__success-info {
  font-size: 12px;
  font-weight: 300;
}

.calc-server-solutions__result-box {
  gap: 8px;
}

.calc-server-solutions__result-item-wrap {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 8px;
  overflow: hidden;
}

.calc-server-solutions__result-item-wrap span {
  flex-shrink: 0;
  word-break: break-all;
  max-width: 100%;
}

.calc-server-solutions__result-item--title,
.calc-server-solutions__form-send,
.calc-server-solutions__form-reset,
.calc-server-solutions-modal-registration__form-send,
.calc-server-solutions-modal-authorization__btn-auth,
.calc-server-solutions-modal-authorization__btn-close,
.calc-server-solutions-modal-registration__success-info {
  font-weight: 400;
}

.calc-server-solutions__form-comment {
  min-height: 102px;
}

.calc-server-solutions__form-send,
.calc-server-solutions__form-reset,
.calc-server-solutions-modal-registration__form-send,
.calc-server-solutions-modal-authorization__btn-auth,
.calc-server-solutions-modal-authorization__btn-close {
  transition: all 0.3s linear;
}

.calc-server-solutions__form-reset {
  color: var(--Interact-Button-Text-Secondary-Default, #5b6770);
  background-color: transparent;
  border-color: transparent;

  &:hover,
  &:active {
    color: var(--Interact-Button-Text-Primary-Default, #fff);
    background-color: var(--Interact-Button-Text-Secondary-Default, #5b6770);
    border-color: transparent;
  }
}

.calc-server-solutions-modal-registration__container,
.calc-server-solutions-modal-authorization__container {
  width: 320px;
}

.calc-server-solutions-modal-registration__form-send,
.calc-server-solutions-modal-authorization__btn-auth,
.calc-server-solutions-modal-authorization__btn-close {
  height: auto;
  padding: 4px;
  font-size: 14px;
}

.calc-server-solutions-modal-authorization__title {
  text-align: center;
}

.calc-server-solutions-modal-authorization__btn-close {
  color: var(--Interact-Button-Text-Secondary-Default, #5b6770);
  background-color: transparent;
  border-color: var(--Interact-Button-Border-Secondary-Default, #5b6770);

  &:hover,
  &:active {
    color: var(--Interact-Button-Text-Primary-Default, #fff);
    background-color: var(--Interact-Button-Text-Secondary-Default, #5b6770);
    border-color: var(--Interact-Button-Border-Secondary-Default, #5b6770);
  }
}

.calc-server-solutions-modal-registration__success {
  min-height: 484px;
}

.calc-server-solutions-modal-registration__success-info {
  flex-grow: 1;
  align-items: center;
  justify-content: center;
}

.calc-server-solutions-modal-registration__success-info span {
  display: block;
  margin-top: 16px;
}

@media (max-width: 1023px) {
  .calc-server-solutions__form-left-column {
    margin-bottom: 12px;
  }

  .calc-server-solutions__form-send,
  .calc-server-solutions__form-reset {
    height: auto;
    padding: 4px;
    font-size: 14px;
  }
}

@media (min-width: 768px) {
  .calc-server-solutions__server-inputs-wrap {
    flex-direction: row;
    gap: var(--Gap-GapM20, 20px);
  }

  .calc-server-solutions__server-inputs-wrap .calc-server-solutions__form-box {
    width: 100%;
  }

  .calc-server-solutions__form-comment {
    min-height: 46px;
  }
}

@media (min-width: 992px) {
  .calc-server-solutions__content-wrap {
    flex-direction: row;
    gap: var(--Gap-GapM20, 20px);
  }

  .calc-server-solutions__content-left-column,
  .calc-server-solutions__content-right-column {
    flex: 1 1 auto;
  }

  .calc-server-solutions__content-left-column {
    width: 15%;
    max-width: 240px;
  }

  .calc-server-solutions__content-right-column {
    max-width: 80vw;
  }

  .calc-server-solutions__content-left-column .aside__link {
    font-size: 16px;
    line-height: 16px;
  }
}

@media (min-width: 1024px) {
  .calc-server-solutions__title {
    font-size: 28px;
    font-weight: 500;
  }

  .calc-server-solutions__result-title {
    font-size: 24px;
    font-weight: 500;
  }

  .calc-server-solutions__form,
  .calc-server-solutions__form-left-column,
  .calc-server-solutions__form-right-column {
    gap: var(--Gap-GapM20, 20px);
  }

  .calc-server-solutions__server-inputs-wrap {
    gap: var(--Gap-GapM32, 32px);
  }

  .calc-server-solutions__form {
    grid-template-columns: 1fr auto;
    grid-template-rows: min-content 1fr;
  }

  .calc-server-solutions__form-left-column {
    grid-column: 1 / 2;
    grid-row: 2 / 3;
  }

  .calc-server-solutions__form-right-column {
    grid-column: 2 / 3;
    grid-row: 1 / 3;
    max-width: 232px;
  }

  .calc-server-solutions__subtitle {
    font-size: 20px;
    font-weight: 600;
  }

  .calc-server-solutions__calc-block,
  .calc-server-solutions__buttons-wrap {
    gap: var(--Gap-GapM16, 16px);
  }

  .calc-server-solutions__result-item-wrap {
    font-size: 14px;
  }

  .calc-server-solutions__result-item {
    max-width: 144px;
  }

  .calc-server-solutions__form-comment {
    min-height: 82px;
  }
}

@media (min-width: 1280px) {
  .calc-server-solutions__form-comment {
    min-height: 101px;
  }

  .calc-server-solutions__form-right-column {
    max-width: 274px;
  }
}

@media (min-width: 1440px) {
  .calc-server-solutions__content-wrap,
  .calc-server-solutions__form {
    column-gap: var(--Gap-GapM32, 32px);
  }

  .calc-server-solutions__result-item {
    max-width: none;
  }

  .calc-server-solutions__form-right-column {
    max-width: 304px;
  }
}

@media (min-width: 1920px) {
  .calc-server-solutions__form-right-column {
    max-width: 376px;
  }
}